Remove Sentry
Removes the specified sentry agent.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
DELETE /api/sonar/sentries/:sentry_guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE \
https://HOSTNAME/api/sonar/sentries/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
| Key | Type | Description | Notes |
|---|---|---|---|
| sentry_guid | String | Sentry GUID | 36 characters |
Success Response
{}
Error Responses
Identifier is missing
HTTP status code 400
{
"error_code": "null-argument",
"error_msg": "sentry_guid should be not null"
}
Sentry not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "sentry does not exist for guid: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
Permission denied
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}